#!/usr/bin/env python3

import argparse

from Attrap_bot import Attrap_bot

parser = argparse.ArgumentParser(
    prog='cli.py',
    description='Recherche les derniers RAA correspondant à une certaine requête et envoie les résultats par email et sur Mastodon'
)

parser.add_argument(
    '--config', '-c',
    action='store',
    help='Fichier de configuration (par défaut: config.yml)'
)

args = parser.parse_args()

if args.config:
    config_file = args.config
else:
    config_file = 'config.yml'

bot = Attrap_bot(config_file)
bot.analyze()
